Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991294 - Review Request: python-appdirs - A small Python module for determining appropriate platform-specific dirs
Summary: Review Request: python-appdirs - A small Python module for determining approp...
Keywords:
Status: CLOSED DUPLICATE of bug 1219807
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-08-02 05:39 UTC by Marcelo Barbosa "firemanxbr"
Modified: 2015-07-27 13:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-27 11:39:10 UTC


Attachments (Terms of Use)

Description Marcelo Barbosa "firemanxbr" 2013-08-02 05:39:24 UTC
URL SPEC: http://firemanxbr.fedorapeople.org/packages/python-appdirs/python-appdirs.spec
URL SRPM: http://firemanxbr.fedorapeople.org/packages/python-appdirs/python-appdirs-1.2.0-1.fc19.src.rpm
Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5691025

Description: 
This kind of thing is what the appdirs module is for.
appdirs will help you choose an appropriate:

* user data dir (user_data_dir)
* user cache dir (user_cache_dir)
* site data dir (site_data_dir)
* user log dir (user_log_dir)

Fedora Account System Username: firemanxbr

Comment 1 Christopher Meng 2013-08-02 06:07:45 UTC
Remove %clean.

Comment 2 Marcelo Barbosa "firemanxbr" 2013-08-02 06:47:22 UTC
Hi Christopher,

   Thank your for review, this package was adjusted:

URL SPEC: http://firemanxbr.fedorapeople.org/packages/python-appdirs/python-appdirs.spec
URL SRPM: http://firemanxbr.fedorapeople.org/packages/python-appdirs/python-appdirs-1.2.0-2.fc19.src.rpm

Marcelo Barbosa - (firemanxbr)

Comment 3 Christopher Meng 2013-08-05 02:33:14 UTC
If you are tired of find rev of git, you can try

https://pypi.python.org/pypi/appdirs

as Source0.

Issues:

1. python-appdirs.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/appdirs.py 0644L /usr/bin/env.

Please check the permission.

2. python-appdirs.noarch: W: incoherent-version-in-changelog 3.2.2-2 ['1.2.0-2.fc20', '1.2.0-2']

Can't understand why you wrote 3.2.2 but not 1.2.0...

3. %files section is incorrect because it has listed egg twice.

Please change to

%{python_sitelib}/%{pkgname}.*
%{python_sitelib}/%{pkgname}-*.egg-info

or

%{python_sitelib}/*

Comment 4 Marcelo Barbosa "firemanxbr" 2013-08-19 15:29:38 UTC
Hi Christopher,

   Thank your for review again, this package was adjusted:

URL SPEC: http://firemanxbr.fedorapeople.org/packages/python-appdirs/python-appdirs.spec
URL SRPM: http://firemanxbr.fedorapeople.org/packages/python-appdirs/python-appdirs-1.2.0-3.fc19.src.rpm

Marcelo Barbosa - (firemanxbr)

Comment 5 Christopher Meng 2013-09-12 02:36:51 UTC
READ IT CAREFULLY.

1. python-appdirs.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 4)

2. python-appdirs.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/appdirs.py 0644L /usr/bin/env


Requires
--------
python-appdirs (rpmlib, GLIBC filtered):
    /usr/bin/env
    python(abi)


3. Just got new revised guidelines from FPC, all python2.x stuffs should be renamed to python2 related.

So:
- %{__python} --> %{__python2}
- %{python_sitelib} --> %{python2_sitelib}

4. %{__python} %{_builddir}/%{pkgname}-%{commit}/test/test.py

Just use %{__python} test/test.py is enough.

5. MUSTN'T leave macro in %changelog section:

* Fri Aug 2 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 1.2.0-2
- Remove %clean
- Remove egg-dir in %prep

Please double %% them.

Comment 6 Christopher Meng 2014-02-07 14:08:05 UTC
Marcelo, I don't want to waste my time here.

Comment 7 Eduardo Echeverria 2014-07-26 07:17:12 UTC
Marcelo it is very bad thing not answer to a reviewer, please if you are not interested anymore in one package please close the review.

Comment 8 Parag AN(पराग) 2015-07-27 11:39:10 UTC
I need this package and considering all the history above this review qualifies https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Comment 9 Parag AN(पराग) 2015-07-27 13:44:19 UTC

*** This bug has been marked as a duplicate of bug 1219807 ***


Note You need to log in before you can comment on or make changes to this bug.